// 全局注册自定义
// import myCustomSvg from '@/views/visual/componentsSvg/customSvg.vue';
import myCustomSvg from './svg/customSvg.vue';
import myTree from './tree/index.vue';
import myRichText from './RichText/index.vue';
import mySearch from './retrieval/search.vue';

var models = {
  myCustomSvg,
  myTree,
  myRichText,
  mySearch
}
export default {
  install(Vue) {
      Object.keys(models).forEach((key) => {
        Vue.component(key, models[key]);
      });
  },
};